Attention to LTO sites

Attention to LTO sites

For your best usage to the LTO sites.

We strongly reccomend you to update your browser to the latest version.

 

List of the recommended browser

  • Internet Explorer version 9 or above
  • Google Chrome version 27.0.14 or above
  • Firefox version 22.0 or above
  • Safari Version 6.0 or above
ltobutton_en
 
Divider